Subject: SUMMARY-newzmat transformation

From: Nathalie Godbout <[email-masked]>
Date: Tue, 21 Oct 1997 10:50:23 -0500 (CDT)

Hello everyone,

  A little back I had posted a message to the
list about a problem I was having with converting
a pdb file with newzmat. I received several replies
and I thank everyone who send their suggestions. I
will look into installing Babel for the future but in 
the meantime, I ended up editing the pdb file. Here 
are the replies. 

Nathalie

-------------------------------------------------------------------------------
-------------------------------------------------------------------------------

Dear Nathalie:

Without seeing your .pdb files, I can't quite come up with a
suggestion, although I've witnessed odd behavior in newzmat before as
well.

You might try Babel and see if that works.  It's available for any
platform at the CCL ftp depot.  Or send the file and I can transform it
for you.

Regards,
-Michael
________________________________________________________________________________

 Michael D. Bartberger         [email-masked]        TEL: (352) 392-3580
 Department of Chemistry       [email-masked]         FAX: (352) 846-0296
 University of Florida
 Gainesville, FL  32611
 USA
________________________________________________________________________________

-------------------------------------------------------------------------------

Hi:

Babel, and I presume newzmat are choking on the lack of connectivity
information.    Some programs, HyperChem, etc. let you choose whether to
save the connectivity.  Of course for QM that should not matter, but I
think that, at least for Babel, this is where the problem lies.

Do you have such an option in the program you use to create the structure?
Failing that (I don't know if you've done this or not and / or whether it
has any bearing on your old, sucessfully-converted structures)  you could
just strip out the Cartesian coordinates from the .pdb file by hand.  

That is, for example

HETATM   35  C8  NONEA   1      -2.144   -.602   2.051  1.00   .00
HETATM   36  C9  NONEA   1      -2.151    .902  -1.973  1.00   .00
HETATM   37  C2  NONEA   1        .726  -2.870   -.229  1.00   .00

                                    ^        ^      ^
                                    
              These are             X        Y      Z

this is a bit of a pain but it can be done.   

Good luck,
-MDB

-------------------------------------------------------------------------------

Natalie:

Have you tried BABEL at all?

JOhn
-- 
************************************
* John McKelvey                    *
* Computational Science Laboratory *
* Imaging Research and Development *
* Building 83                      *
* Research Laboratories            *
* Eastman Kodak Company            *
* Rochester, NY 14650-2216         *
* (V)716-477-3335                  *
* (F)716-722-2327                  *
* (E)[email-masked]            *
************************************

-------------------------------------------------------------------------------

   Nathalie,

  That message indicates that newzmat it attempting to define a dihedral
where three of the atoms are co-linear.  If Cerius can write out cartesians
in place of the PDB file you can read in straight cartesians rather than
a Z-matrix.  Just put a route card, title and charge/multiplicity on
the front.

   For optimizations with redundant internal coordinates G94 will generate
a linear bond for this trio, an option not defined for Z-matrices.

   Can you send a sample of the offending PDB file?  We generalized
the PDB input routines but not sufficiently to take this syntax.

  Douglas J. Fox
  Director of Technical Support
  [email-masked]

-------------------------------------------------------------------------------

Do you have connect data? I think newzmat needs that. 
If you don't then use emacs to remove the unwanted columns.
Hope this helps.

Bill

---
Bill King                                     | email: [email-masked] 
Division of Biochemistry and Molecular Biology| 
John Curtin School of Medical Research        | phone: +61-6-279-8303       
PO Box 334 Canberra ACT 2601                  | FAX:   +61-6-249-0415          

-------------------------------------------------------------------------------

what does babel say? i use both newzmat and babel and
the combination of both usually does the job even
in tricky cases.
hope this helps.

-------------------------------------------------------------------------------

 --------------------------------------------
| Nathalie Godbout                           |
| University of Illinois at Urbana-Champaign |
| 600 S. Goodwin Av. Box 23.6                |
| Urbana, IL 61801                           |
 --------------------------------------------